* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

:root {
  --lime: #D7DA2F;
  --lime-light: #EFF0A8;
  --red: #D73328;

  --white: #FFFF;
  --slate-100: #E3F3FD;
  --slate-300: #9ABED5;
  --slate-500: #6B94A8;
  --slate-700: #4E6E7E;
  --slate-900: #122F3F;
  --slate-1000: #0E232F;
}

img, svg {
  max-width: 100%;
  display: block;
}

label {
  width: 100%;
  margin-bottom: .5rem;
  display: block;
}

input[type='number'] {
  width: 100%;
  padding: .25rem .5rem;
  font-weight: 700;
  border: 0;
  outline: 0;
}

input[type='radio'] {
  appearance: none;
  width: .5rem;
  height: .5rem;
  margin-right: .5rem;
  outline: 2px solid var(--slate-900);
  outline-offset: 3px;
  border-radius: 50%;
}

input[type='radio']:checked {
  background-color: var(--lime);
}

.radio-inputs {
  cursor: pointer;
  padding: .5rem 1rem;
  margin-bottom: .5rem;
  font-weight: 500;
  display: flex;
  align-items: center;
  gap: .5rem;
  border: 1px solid var(--slate-300)
}

.radio-inputs > * {
  cursor: pointer;
}

.radio-inputs:hover {
  border: 1px solid var(--lime);
}

.radio-inputs label {
  margin-bottom: 0;
}

.radio-inputs.selected {
  background-color: var(--lime-light);
  border: 1px solid var(--lime);
}

.radio-inputs.selected input[type='radio'] {
  outline: 3px solid var(--lime);
}

button {
  cursor: pointer;
}

.form-item {
  margin-bottom: 2rem;
}

.form-symbol {
  background-color: var(--slate-100);
  color: var(--slate-700);
  padding: .5rem .75rem;
  font-weight: 700;
}

.form-flex {
  display: flex;
  border: 1px solid var(--slate-300);
}

.form-flex:hover {
  border: 1px solid var(--lime)
}

.form-flex:focus-within .form-symbol {
  background-color: var(--lime);
  border: 1px solid var(--lime);
}

.form-flex.error {
  border: 1px solid var(--red);
}

.form-flex.error .form-symbol {
  background-color: var(--red);
  color: var(--white);
}

.form-col {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 1.75rem;
}

.form-col .form-item {
  margin: 0;
}

body {
  background-color: var(--slate-100);
  min-height: 100vh;
  font-family: "Plus Jakarta Sans", sans-serif;
  display: grid;
  place-content: center;
}

.form-alert {
  color: var(--red);
  display: none;
}

.mortgage-calculator {
  background-color: var(--white);
  max-width: 1200px;
  display: grid;
  grid-template-columns: 1fr 1fr;
  border-radius: 1.5rem;
  overflow: hidden;
}

.mortgage-calculator > * {
  padding: 2rem;
}

.mortgage-calculator .left {
  color: var(--slate-900);
}

.mortgage-calculator .left .light-text {
  color: var( --slate-700);
  font-weight: 500;
}

.mortgage-calculator .left .header {
  margin-bottom: 2rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.mortgage-calculator .left .header button {
  background-color: transparent;
  color: var(--slate-500);
  padding: .25rem .5rem;
  font-size: 1.15rem;
  text-decoration: underline;
  border: 0;
}

.mortgage-calculator .left .header button:hover {
  color: var(--slate-900);
}

.mortgage-calculator .left .calculate-btn {
  background-color: var(--lime);
  color: var(--slate-900);
  padding: .75rem 2rem;
  font-size: 1.25rem;
  font-weight: 700;
  display: flex;
  align-items: center;
  border: 0;
  border-radius: 1.5rem;
}

.mortgage-calculator .left .calculate-btn:hover {
  background-color: var(--lime-light);
}

.mortgage-calculator .right {
  background-color: var(--slate-900);
  color: var(--white);
  border-radius: 0 0 0 4rem;
}

.mortgage-calculator .right .light-text {
  color: var(--slate-500);
  font-weight: 500;
}

.mortgage-calculator .right .default-text {
  margin-top: 5rem;
  text-align: center;
}

.mortgage-calculator .right .default-text.hide {
  display: none;
}

.mortgage-calculator .right .default-text img {
  margin: auto;
}

.mortgage-calculator .right .default-text h2 {
  margin-bottom: 1rem;
}

.mortgage-calculator .right .calculations-container {
  display: none;
}

.mortgage-calculator .right .calculations-container.show {
  display: block;
}

.mortgage-calculator .right .calculations-container .light-text {
  margin: 1rem 0 2rem;
}

.mortgage-calculator .right .calculations-container .calculations {
  background-color: var(--slate-1000);
  padding: 1.5rem;
  border-top: 4px solid var(--lime);
  border-radius: 1rem;
}

.mortgage-calculator .right .calculations-container .calculations .light-text {
  margin: 0 0 1rem;
}

.mortgage-calculator .right .calculations-container .calculations .monthly-result {
  background-color: var(--slate-500);
  width: 100%;
  height: 1px;
  margin: 2rem 0;
  display: block;
}

.mortgage-calculator .right .calculations-container .calculations .term-result {
  color: var(--white);
  font-size: 2rem;
  font-weight: 700;
}

/* MEDIA QUERIES */

@media (max-width: 800px) {
  .mortgage-calculator {
    margin: 2rem;
    grid-template-columns: 1fr;
  }

  .mortgage-calculator .right .default-text {
    margin-top: 3rem;
  }
}

@media (max-width: 540px) {
  .mortgage-calculator {
    margin: 0;
    grid-template-columns: 1fr;
    border-radius: initial;
  }

  .mortgage-calculator .left .header {
    display: block;
    margin-bottom: 2rem;
  }

  .form-col {
    grid-template-columns: 1fr;
  }

  .mortgage-calculator .right {
    border-radius: initial;
  }

  .mortgage-calculator .left .calculate-btn {
    width: 100%;
    justify-content: center;
  }
}